function makeTangent() {
    var obj = Object.create(Triangle);
    
    obj.yBase = this.top + this.length + 40; // leave room for text.
    obj.draw = function() {

        var [x,y] = this.cartesian(this.currentAngle);
        var ctx = this.ctx;
        var msg;
        var value;
        
        Triangle.draw.call(this);
        
        ctx.fillStyle = "#fff";
        ctx.fillRect(this.left, this.top, this.left + 2.5 * this.length, 40);
        
        ctx.fillStyle = "#000";
        ctx.font="14px sans-serif";
        if (this.currentAngle % 180 == 90) {
            msg = "tan(" + this.currentAngle + "\u00b0) is undefined";
        } else {
            value = Math.tan(this.currentAngle * Math.PI / 180);
            msg = "tan(" + this.currentAngle + "\u00b0) = " + value.toFixed(3);
        }
        ctx.fillText(msg, this.left + 5, this.top + 12);
    };
    return obj;
}

